Package org.eclipse.emf.cdo.expressions

# Interface ExpressionsPackage.Literals

Enclosing interface:
  ExpressionsPackage

public static interface ExpressionsPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Generated
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EClass`
`ACCESS`
The meta object literal for the '`Access`' class.
`static final EReference`
`ACCESS__NAME`
The meta object literal for the 'Name' containment reference feature.
`static final EClass`
`BOOLEAN_VALUE`
The meta object literal for the '`Boolean Value`' class.
`static final EAttribute`
`BOOLEAN_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EClass`
`BYTE_VALUE`
The meta object literal for the '`Byte Value`' class.
`static final EAttribute`
`BYTE_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EClass`
`CHAR_VALUE`
The meta object literal for the '`Char Value`' class.
`static final EAttribute`
`CHAR_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EClass`
`CONTAINED_OBJECT`
The meta object literal for the '`Contained Object`' class.
`static final EReference`
`CONTAINED_OBJECT__OBJECT`
The meta object literal for the 'Object' containment reference feature.
`static final EClass`
`CONTEXT_ACCESS`
The meta object literal for the '`Context Access`' class.
`static final EClass`
`DOUBLE_VALUE`
The meta object literal for the '`Double Value`' class.
`static final EAttribute`
`DOUBLE_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EDataType`
`EVALUATION_CONTEXT`
The meta object literal for the 'Evaluation Context' data type.
`static final EClass`
`EXPRESSION`
The meta object literal for the '`Expression`' class.
`static final EOperation`
`EXPRESSION___EVALUATE__EVALUATIONCONTEXT`
The meta object literal for the 'Evaluate' operation.
`static final EClass`
`FLOAT_VALUE`
The meta object literal for the '`Float Value`' class.
`static final EAttribute`
`FLOAT_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EClass`
`FUNCTION_INVOCATION`
The meta object literal for the '`Function Invocation`' class.
`static final EClass`
`INT_VALUE`
The meta object literal for the '`Int Value`' class.
`static final EAttribute`
`INT_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EClass`
`INVOCATION`
The meta object literal for the '`Invocation`' class.
`static final EReference`
`INVOCATION__ARGUMENTS`
The meta object literal for the 'Arguments' containment reference list feature.
`static final EReference`
`INVOCATION__NAME`
The meta object literal for the 'Name' containment reference feature.
`static final EClass`
`LINKED_EXPRESSION`
The meta object literal for the '`Linked Expression`' class.
`static final EReference`
`LINKED_EXPRESSION__EXPRESSION`
The meta object literal for the 'Expression' reference feature.
`static final EClass`
`LINKED_OBJECT`
The meta object literal for the '`Linked Object`' class.
`static final EReference`
`LINKED_OBJECT__OBJECT`
The meta object literal for the 'Object' reference feature.
`static final EClass`
`LIST_CONSTRUCTION`
The meta object literal for the '`List Construction`' class.
`static final EReference`
`LIST_CONSTRUCTION__ELEMENTS`
The meta object literal for the 'Elements' containment reference list feature.
`static final EClass`
`LONG_VALUE`
The meta object literal for the '`Long Value`' class.
`static final EAttribute`
`LONG_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EClass`
`MEMBER_ACCESS`
The meta object literal for the '`Member Access`' class.
`static final EReference`
`MEMBER_ACCESS__OBJECT`
The meta object literal for the 'Object' containment reference feature.
`static final EClass`
`MEMBER_INVOCATION`
The meta object literal for the '`Member Invocation`' class.
`static final EReference`
`MEMBER_INVOCATION__OBJECT`
The meta object literal for the 'Object' containment reference feature.
`static final EClass`
`SHORT_VALUE`
The meta object literal for the '`Short Value`' class.
`static final EAttribute`
`SHORT_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EClass`
`STATIC_ACCESS`
The meta object literal for the '`Static Access`' class.
`static final EClass`
`STRING_VALUE`
The meta object literal for the '`String Value`' class.
`static final EAttribute`
`STRING_VALUE__LITERAL`
The meta object literal for the 'Literal' attribute feature.
`static final EClass`
`VALUE`
The meta object literal for the '`Value`' class.
`static final EOperation`
`VALUE___GET_LITERAL`
The meta object literal for the 'Get Literal' operation.

## Field Details

### EXPRESSION

static final EClass EXPRESSION
The meta object literal for the '`Expression`' class.

See Also:
  - `Expression`
  - `ExpressionsPackageImpl.getExpression()`
Generated

### EXPRESSION___EVALUATE__EVALUATIONCONTEXT

static final EOperation EXPRESSION___EVALUATE__EVALUATIONCONTEXT
The meta object literal for the 'Evaluate' operation.

Generated

### VALUE

static final EClass VALUE
The meta object literal for the '`Value`' class.

See Also:
  - `ValueImpl`
  - `ExpressionsPackageImpl.getValue()`
Generated

### VALUE___GET_LITERAL

static final EOperation VALUE___GET_LITERAL
The meta object literal for the 'Get Literal' operation.

Generated

### BOOLEAN_VALUE

static final EClass BOOLEAN_VALUE
The meta object literal for the '`Boolean Value`' class.

See Also:
  - `BooleanValueImpl`
  - `ExpressionsPackageImpl.getBooleanValue()`
Generated

### BOOLEAN_VALUE__LITERAL

static final EAttribute BOOLEAN_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### BYTE_VALUE

static final EClass BYTE_VALUE
The meta object literal for the '`Byte Value`' class.

See Also:
  - `ByteValueImpl`
  - `ExpressionsPackageImpl.getByteValue()`
Generated

### BYTE_VALUE__LITERAL

static final EAttribute BYTE_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### SHORT_VALUE

static final EClass SHORT_VALUE
The meta object literal for the '`Short Value`' class.

See Also:
  - `ShortValueImpl`
  - `ExpressionsPackageImpl.getShortValue()`
Generated

### SHORT_VALUE__LITERAL

static final EAttribute SHORT_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### INT_VALUE

static final EClass INT_VALUE
The meta object literal for the '`Int Value`' class.

See Also:
  - `IntValueImpl`
  - `ExpressionsPackageImpl.getIntValue()`
Generated

### INT_VALUE__LITERAL

static final EAttribute INT_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### LONG_VALUE

static final EClass LONG_VALUE
The meta object literal for the '`Long Value`' class.

See Also:
  - `LongValueImpl`
  - `ExpressionsPackageImpl.getLongValue()`
Generated

### LONG_VALUE__LITERAL

static final EAttribute LONG_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### FLOAT_VALUE

static final EClass FLOAT_VALUE
The meta object literal for the '`Float Value`' class.

See Also:
  - `FloatValueImpl`
  - `ExpressionsPackageImpl.getFloatValue()`
Generated

### FLOAT_VALUE__LITERAL

static final EAttribute FLOAT_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### DOUBLE_VALUE

static final EClass DOUBLE_VALUE
The meta object literal for the '`Double Value`' class.

See Also:
  - `DoubleValueImpl`
  - `ExpressionsPackageImpl.getDoubleValue()`
Generated

### DOUBLE_VALUE__LITERAL

static final EAttribute DOUBLE_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### CHAR_VALUE

static final EClass CHAR_VALUE
The meta object literal for the '`Char Value`' class.

See Also:
  - `CharValueImpl`
  - `ExpressionsPackageImpl.getCharValue()`
Generated

### CHAR_VALUE__LITERAL

static final EAttribute CHAR_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### STRING_VALUE

static final EClass STRING_VALUE
The meta object literal for the '`String Value`' class.

See Also:
  - `StringValueImpl`
  - `ExpressionsPackageImpl.getStringValue()`
Generated

### STRING_VALUE__LITERAL

static final EAttribute STRING_VALUE__LITERAL
The meta object literal for the 'Literal' attribute feature.

Generated

### INVOCATION

static final EClass INVOCATION
The meta object literal for the '`Invocation`' class.

See Also:
  - `InvocationImpl`
  - `ExpressionsPackageImpl.getInvocation()`
Generated

### INVOCATION__ARGUMENTS

static final EReference INVOCATION__ARGUMENTS
The meta object literal for the 'Arguments' containment reference list feature.

Generated

### INVOCATION__NAME

static final EReference INVOCATION__NAME
The meta object literal for the 'Name' containment reference feature.

Generated

### FUNCTION_INVOCATION

static final EClass FUNCTION_INVOCATION
The meta object literal for the '`Function Invocation`' class.

See Also:
  - `FunctionInvocationImpl`
  - `ExpressionsPackageImpl.getFunctionInvocation()`
Generated

### MEMBER_INVOCATION

static final EClass MEMBER_INVOCATION
The meta object literal for the '`Member Invocation`' class.

See Also:
  - `MemberInvocationImpl`
  - `ExpressionsPackageImpl.getMemberInvocation()`
Generated

### MEMBER_INVOCATION__OBJECT

static final EReference MEMBER_INVOCATION__OBJECT
The meta object literal for the 'Object' containment reference feature.

Generated

### ACCESS

static final EClass ACCESS
The meta object literal for the '`Access`' class.

See Also:
  - `AccessImpl`
  - `ExpressionsPackageImpl.getAccess()`
Generated

### ACCESS__NAME

static final EReference ACCESS__NAME
The meta object literal for the 'Name' containment reference feature.

Generated

### STATIC_ACCESS

static final EClass STATIC_ACCESS
The meta object literal for the '`Static Access`' class.

See Also:
  - `StaticAccessImpl`
  - `ExpressionsPackageImpl.getStaticAccess()`
Generated

### MEMBER_ACCESS

static final EClass MEMBER_ACCESS
The meta object literal for the '`Member Access`' class.

See Also:
  - `MemberAccessImpl`
  - `ExpressionsPackageImpl.getMemberAccess()`
Generated

### MEMBER_ACCESS__OBJECT

static final EReference MEMBER_ACCESS__OBJECT
The meta object literal for the 'Object' containment reference feature.

Generated

### CONTEXT_ACCESS

static final EClass CONTEXT_ACCESS
The meta object literal for the '`Context Access`' class.

See Also:
  - `ContextAccessImpl`
  - `ExpressionsPackageImpl.getContextAccess()`
Generated

### CONTAINED_OBJECT

static final EClass CONTAINED_OBJECT
The meta object literal for the '`Contained Object`' class.

See Also:
  - `ContainedObjectImpl`
  - `ExpressionsPackageImpl.getContainedObject()`
Generated

### CONTAINED_OBJECT__OBJECT

static final EReference CONTAINED_OBJECT__OBJECT
The meta object literal for the 'Object' containment reference feature.

Generated

### LINKED_OBJECT

static final EClass LINKED_OBJECT
The meta object literal for the '`Linked Object`' class.

See Also:
  - `LinkedObjectImpl`
  - `ExpressionsPackageImpl.getLinkedObject()`
Generated

### LINKED_OBJECT__OBJECT

static final EReference LINKED_OBJECT__OBJECT
The meta object literal for the 'Object' reference feature.

Generated

### LINKED_EXPRESSION

static final EClass LINKED_EXPRESSION
The meta object literal for the '`Linked Expression`' class.

See Also:
  - `LinkedExpressionImpl`
  - `ExpressionsPackageImpl.getLinkedExpression()`
Generated

### LINKED_EXPRESSION__EXPRESSION

static final EReference LINKED_EXPRESSION__EXPRESSION
The meta object literal for the 'Expression' reference feature.

Generated

### LIST_CONSTRUCTION

static final EClass LIST_CONSTRUCTION
The meta object literal for the '`List Construction`' class.

See Also:
  - `ListConstructionImpl`
  - `ExpressionsPackageImpl.getListConstruction()`
Generated

### LIST_CONSTRUCTION__ELEMENTS

static final EReference LIST_CONSTRUCTION__ELEMENTS
The meta object literal for the 'Elements' containment reference list feature.

Generated

### EVALUATION_CONTEXT

static final EDataType EVALUATION_CONTEXT
The meta object literal for the 'Evaluation Context' data type.

See Also:
  - `EvaluationContext`
  - `ExpressionsPackageImpl.getEvaluationContext()`
Generated